Name:          tcsh
Version:       6.23.00
Release:       1mamba
Summary:       An enhanced version of csh, the C shell
Group:         Applications/Shells
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.tcsh.org/
Source:        ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END
Provides:      /bin/csh
Provides:      /bin/tcsh

%description
Tcsh is an enhanced but completely compatible version of csh, the C shell.
Tcsh is a command language interpreter which can be used both as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion, spelling correction, a history mechanism, job control and a C language like syntax.

%debug_package

%prep
%setup -q -n tcsh-%{version}

%build
%configure \
   --enable-encryption

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

ln -s tcsh %{buildroot}%{_bindir}/csh
#mkdir -p %{buildroot}%{_bindir}
#ln -s /bin/tcsh %{buildroot}%{_bindir}/tcsh

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/csh
%{_bindir}/tcsh
%lang(C) %{_datadir}/locale/C/LC_MESSAGES/tcsh.cat
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/tcsh.cat
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/tcsh.cat
%lang(et) %{_datadir}/locale/et/LC_MESSAGES/tcsh.cat
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/tcsh.cat
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/tcsh.cat
%lang(gr) %{_datadir}/locale/gr/LC_MESSAGES/tcsh.cat
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/tcsh.cat
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/tcsh.cat
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/tcsh.cat
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/tcsh.cat
%lang(ru_UA) %{_datadir}/locale/ru_UA/LC_MESSAGES/tcsh.cat
%{_mandir}/man1/*

%changelog
* Thu Nov 11 2021 Automatic Build System <autodist@mambasoft.it> 6.23.00-1mamba
- automatic version update by autodist

* Thu Apr 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.22.04-3mamba
- provide /bin/tcsh and /bin/csh

* Wed Apr 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.22.04-2mamba
- rebuilt in /usr/bin; added debug_package

* Wed Apr 28 2021 Automatic Build System <autodist@mambasoft.it> 6.22.04-1mamba
- automatic version update by autodist

* Thu Dec 10 2020 Automatic Build System <autodist@mambasoft.it> 6.22.03-1mamba
- automatic update by autodist

* Sat Dec 07 2019 Automatic Build System <autodist@mambasoft.it> 6.22.02-1mamba
- automatic version update by autodist

* Sat Jun 08 2019 Automatic Build System <autodist@mambasoft.it> 6.21.00-1mamba
- automatic version update by autodist

* Thu Aug 10 2017 Automatic Build System <autodist@mambasoft.it> 6.20.00-1mamba
- automatic version update by autodist

* Sat Aug 01 2015 Automatic Build System <autodist@mambasoft.it> 6.19.00-1mamba
- automatic version update by autodist

* Thu Mar 15 2012 Automatic Build System <autodist@mambasoft.it> 6.18.01-1mamba
- automatic version update by autodist

* Wed Jul 22 2009 Automatic Build System <autodist@mambasoft.it> 6.17.00-1mamba
- automatic update by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 6.16.00-1mamba
- update to 6.16.00

* Sat May 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.15-1mamba
- update to 6.15

* Fri Jul 18 2003 Silvan Calarco <silvan.calarco@qinet.it> 6.12-1qilnx
- First build for tcsh
